Subject: [bug#40818] [PATCH] gnu: Add bsd-games.

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 16 Jun 2020 15:17:00 +0200

Hello,

Vitaliy Shatrov via Guix-patches via <[email-masked]> writes:

> The most important thing to review is rights. This package assumes
> that all score-files and save-games are placed in /var/tmp/bsd-games.
> The first user owns the files, and the wrapper script do `chmod ug+w`.
> If the SETGUID approach, despite the games age is better, i'll rework
> this. Though sys-admin (or the first user) can simply change the
> permissions, or group to restrict the access.

Thank you for the patch.

Is it possible to create save-games in ~/.local/share/XXX/ instead?

Also, considering the bsd-games-add-word-list.patch file, would it be
possible to use "miscfiles" package as an input instead? It also
provides and English words list.

Regards,
-- 
Nicolas Goaziou